Bug 219030 - yum fails and does that _quietly_
yum fails and does that _quietly_
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-09 12:24 EST by Michal Jaegermann
Modified: 2014-01-21 17:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 13:28:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-12-09 12:24:27 EST
Description of problem:

With the latest rawhide yum an attempt to apply a number of current
updates looks fairly normal until you will see:
....
Running Transaction Test
Finished Transaction Test

At this moment yum just exits without the slightest indication
what may be the issue.

Attempting the same with '-d6' is not much more informative too:
.....
Dependencies Resolved
1165682367.33
.....
Running Transaction Test
Member: kudzu.x86_64 0-1.2.64-2 - u
Adding Package kudzu - 1.2.64-2.x86_64 in mode u
.....
(all the way down through 138 packages)
.....
Adding Package audit-libs-python - 1.3-4.fc7.x86_64 in mode u
Finished Transaction Test

and just an exit.  A status check indeed shows "1".

Only running 'rpm -Fvh *.rpm' on packages in cache brings at last
an explanation:

        file /usr/bin/pdftoppm from install of poppler-utils-0.5.4-3.fc7 
conflicts with file from package xpdf-utils-3.01-26.fc6
        file /usr/share/man/man1/pdftoppm.1.gz from install of 
poppler-utils-0.5.4-3.fc7 conflicts with file from package xpdf-utils-3.01-26.fc6

Indeed, 'rpm -e --nodeps xpdf-utils' makes yum finally happy, and
allows to finish the whole update,  but one has to find a roundabout
way to see what is the problem.

Version-Release number of selected component (if applicable):
yum-3.0.1-3.fc7
Comment 1 Jeremy Katz 2006-12-11 13:28:58 EST
Okay, I see what's going on here and it's fixed in upstream CVS.  It'll be fixed
either when we go to 3.0.2 or to a snapshot based on CVS HEAD.

Note You need to log in before you can comment on or make changes to this bug.